### direct log messages to stdout ###
log4j.appender.stdout=org.apache.log4j.ConsoleAppender
log4j.appender.stdout.Target=System.out
log4j.appender.stdout.layout=org.apache.log4j.PatternLayout
log4j.appender.stdout.layout.ConversionPattern=%d{ABSOLUTE} %5p %c{1}:%L - %m%n

### direct messages to file hibernate.log ###
log4j.appender.file=org.apache.log4j.FileAppender
log4j.appender.file.File=${catalina.home}/logs/hibernate.log
log4j.appender.file.layout=org.apache.log4j.PatternLayout
log4j.appender.file.layout.ConversionPattern=%d{ABSOLUTE} %5p %c{1}:%L - %m%n

log4j.appender.persistenceServiceFile=org.apache.log4j.FileAppender
log4j.appender.persistenceServiceFile.File=${catalina.home}/logs/persistenceService.log
log4j.appender.persistenceServiceFile.layout=org.apache.log4j.PatternLayout
log4j.appender.persistenceServiceFile.layout.ConversionPattern=%d{ABSOLUTE} %5p %c{1}:%L - %m%n

### set log levels - for more verbose logging change 'info' to 'debug' ##

log4j.rootLogger=info, file

log4j.logger.org.mpi.openmind.repository.services.PersistenceService=info, persistenceServiceFile
log4j.logger.org.mpi.openmind.search.SearchService=info, persistenceServiceFile

#log4j.logger.net.sf.hibernate=debug, stdout
#Hibernate
#log4j.logger.org.hibernate.cfg=debug, file
#log4j.logger.org.hibernate.cfg.annotations.Version=info, stdout
#log4j.logger.org.hibernate.cfg.Environment=info, stdout
#log4j.logger.org.hibernate.cfg.AnnotationBinder=info, stdout


### enable the following line if you want to track down connection ###
### leakages when using DriverManagerConnectionProvider ###
#log4j.logger.net.sf.hibernate.connection.DriverManagerConnectionProvider=trace

### log JDBC bind parameters ###
#log4j.logger.net.sf.hibernate.type=debug

### log prepared statement cache activity ###
#log4j.logger.net.sf.hibernate.ps.PreparedStatementCache=debug
